VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Attributes
vmware::appliance::recovery::backup::JobDefinitions Class Reference

Defines the type descriptors for the Job API service. More...

List of all members.

## Static Public Attributes
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | localizableMessage
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | returnResult
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | backupRequest
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | backupJobStatus
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | cancelInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | cancelOutput
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | createInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | createOutput
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | listInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | listOutput
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | get_Input
static global::System.Lazy < vmware.vapi.bindings.type.IType > | get_Output

## Detailed Description

Defines the type descriptors for the Job API service.

## Member Data Documentation

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::recovery::backup::JobDefinitions::backupJobStatus`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("id", new vmware.vapi.bindings.type.StringType());
                    fields.Add("state", new vmware.vapi.bindings.type.EnumType(typeof(vmware.appliance.recovery.backup.JobTypes.BackupRestoreProcessState)));
                    fields.Add("messages", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.appliance.recovery.backup.JobDefinitions.localizableMessage.Value))));
                    fields.Add("progress", new vmware.vapi.bindings.type.IntegerType());
                    fields.Add("start_time", new vmware.vapi.bindings.type.DateTimeType());
                    fields.Add("end_time", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.DateTimeType()));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.appliance.recovery.backup.job.backup_job_status", fields, typeof(vmware.appliance.recovery.backup.JobTypes.BackupJobStatus), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::recovery::backup::JobDefinitions::backupRequest`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("parts", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.StringType()));
                    fields.Add("backup_password", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.SecretType()));
                    fields.Add("location_type", new vmware.vapi.bindings.type.EnumType(typeof(vmware.appliance.recovery.backup.JobTypes.LocationType)));
                    fields.Add("location", new vmware.vapi.bindings.type.StringType());
                    fields.Add("location_user", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.StringType()));
                    fields.Add("location_password", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.SecretType()));
                    fields.Add("comment", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.StringType()));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.appliance.recovery.backup.job.backup_request", fields, typeof(vmware.appliance.recovery.backup.JobTypes.BackupRequest), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::recovery::backup::JobDefinitions::cancelInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("id", new vmware.vapi.bindings.type.IdType("com.vmware.appliance.recovery.backup.job"));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::appliance::recovery::backup::JobDefinitions::cancelOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.appliance.recovery.backup.JobDefinitions.returnResult.Value));
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::recovery::backup::JobDefinitions::createInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("piece", new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.appliance.recovery.backup.JobDefinitions.backupRequest.Value)));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::appliance::recovery::backup::JobDefinitions::createOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.appliance.recovery.backup.JobDefinitions.backupJobStatus.Value));
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::recovery::backup::JobDefinitions::get_Input`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("id", new vmware.vapi.bindings.type.IdType("com.vmware.appliance.recovery.backup.job"));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::appliance::recovery::backup::JobDefinitions::get_Output`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.appliance.recovery.backup.JobDefinitions.backupJobStatus.Value));
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::recovery::backup::JobDefinitions::listInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::appliance::recovery::backup::JobDefinitions::listOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.IdType("com.vmware.appliance.recovery.backup.job"));
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::recovery::backup::JobDefinitions::localizableMessage`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("id", new vmware.vapi.bindings.type.StringType());
                    fields.Add("default_message", new vmware.vapi.bindings.type.StringType());
                    fields.Add("args", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.StringType()));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.appliance.recovery.backup.job.localizable_message", fields, typeof(vmware.appliance.recovery.backup.JobTypes.LocalizableMessage), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::recovery::backup::JobDefinitions::returnResult`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("status", new vmware.vapi.bindings.type.EnumType(typeof(vmware.appliance.recovery.backup.JobTypes.ReturnStatus)));
                    fields.Add("messages", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.appliance.recovery.backup.JobDefinitions.localizableMessage.Value))));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.appliance.recovery.backup.job.return_result", fields, typeof(vmware.appliance.recovery.backup.JobTypes.ReturnResult), validators, false, null);
                })

The documentation for this class was generated from the following file:

- backup/JobDefinitions.cs